Mark a mailbox message read or archived
curl --request PATCH \
--url https://inbound.new/api/e2/mailboxes/{id}/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isRead": true,
"isArchived": true
}
'import requests
url = "https://inbound.new/api/e2/mailboxes/{id}/messages/{messageId}"
payload = {
"isRead": True,
"isArchived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isRead: true, isArchived: true})
};
fetch('https://inbound.new/api/e2/mailboxes/{id}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"folder": "inbox",
"threadId": "<string>",
"subject": "<string>",
"from": "<string>",
"to": [
"<string>"
],
"date": "<string>",
"preview": "<string>",
"isRead": true,
"hasAttachments": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Mailboxes
Mark a mailbox message read or archived
Requires a read_write mailbox. Changes are shared with the dashboard.
PATCH
/
api
/
e2
/
mailboxes
/
{id}
/
messages
/
{messageId}
Mark a mailbox message read or archived
Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200
Available options:
inbox, archive, sent Was this page helpful?
⌘I